package com.bonus.canteen.core.order.android.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModelProperty;

public class OrderTakeAndroidDTO {
   private Long custId;
   private String openId;
   private String serialNum;
   private String qrCode;
   private Integer nuClearMode;
   private Integer ifTakeImmediately = 1;
   @JsonIgnore
   private String machineSn;
   @ApiModelProperty("扩展字段")
   private JsonNode extParam;

   public Long getCustId() {
      return this.custId;
   }

   public String getOpenId() {
      return this.openId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getIfTakeImmediately() {
      return this.ifTakeImmediately;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public JsonNode getExtParam() {
      return this.extParam;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOpenId(final String openId) {
      this.openId = openId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setQrCode(final String qrCode) {
      this.qrCode = qrCode;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setIfTakeImmediately(final Integer ifTakeImmediately) {
      this.ifTakeImmediately = ifTakeImmediately;
   }

   @JsonIgnore
   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setExtParam(final JsonNode extParam) {
      this.extParam = extParam;
   }

}
